Subject: Fwd: Re: I-D Action: draft-ietf-6man-resilient-rs-02.txt

From: Erik Nordmark <[email-masked]>
Date: Fri, 31 Jan 2014 23:49:54 -0800

[Retransmit - I don't think this made it to the list]

-------- Original Message --------
Subject: 	Re: I-D Action: draft-ietf-6man-resilient-rs-02.txt
Date: 	Thu, 30 Jan 2014 10:12:56 -0800
From: 	Erik Nordmark <[email-masked]>
To: 	Erik Kline <[email-masked]>, Erik Nordmark <[email-masked]>
CC: 	Ralph Droms <[email-masked]>, 
[email-masked], IETF IPv6 Mailing List 
<[email-masked]>

On 1/29/14 11:41 PM, Erik Kline wrote:
> In such an approach when would the router stop unicasting RAs to a
> particular address? Forever? Until NUD fails? What is the host was
> gone for 30 seconds without the host noticing and as a result the
> router saw a NUD failure.
> I like your “until the router detects a NUD failure for the host” notion, I think.  In that case, I think the host will either:

Erik,

Sorry for not being clear. That wasn't a proposal of mine but a prod for
some clarification. It doesn't actually work (sorry for having been
terse) since the host has no way to find out when the router saw a NUD
failure and stopped with the unicasts. I wanted to illustrate that this
is harder than it seems. I should have made that more obvious.

>     [1]  enter into NUD detection from its perspective because communications are failing (no replies to packets sent), or
NUD doesn't work that way - each side determines unreachable separately.

   Erik

>
>     [2]  it had to packets to send so didn’t notice anything, and then the RA timers get “low” and the host enters into the proposed “retry RSes (probably requiring multicast)” behaviour that launched this thread.
>
> I do agree that if a network is going to rely on RSes before it sends a periodic RA (say, because the network is one of these split horizon things) some guidelines for the RA-sending side are probably in order, but I’m not yet convinced it’s terribly complicated.
>
> …but maybe I just haven’t thought about it enough.
>
> -Erik (the lesser)
>